Viewshed analysis Plugin e ultime versioni di QGIS

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Viewshed analysis Plugin e ultime versioni di QGIS

Terry
Ciao a tutti,
qualche giorno fa ho voluto testare il Plugin Viewshed analysis seguendo un tutorial in rete; premetto che sul mio portatile ho Windows10 e che avevo installato contemporaneamente Qgis 2.12.3 e Qgis 2.13...(a causa di un aggiornamento non voluto fatto qualche giorno fa). Inoltre ho una virtualbox su gui ho installato OSGEOLIVE 8.
Nel tentativo di portare a termine l'esercizio correlato al plugin, dopo aver inserito tutti i dati richiesti veniva fuori un messaggio di errore:
 
ERRORE PYTHON
“UnicodeEncodeError: ‘ascii’ codec can’t encode character u’\xe0′ in position 36: ordinal not in range(128)
Traceback (most recent call last):
File “C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\viewshedanalysis.py”, line 161, in run
outPath = ViewshedAnalysisDialog.returnOutputFile(self.dlg)
File “C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\viewshedanalysisdialog.py”, line 60, in returnOutputFile
return str(l)
UnicodeEncodeError: ‘ascii’ codec can’t encode character u’\xe0′ in position 36: ordinal not in range(128)
Versione Python: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]
Versione di QGIS: 2.12.3-Lyon Lyon, 99ac688″
 
e inoltre si specificava che mancavano questi file: grassrasterprovider6.dll, grassprovider6.dll, grassplugin6.dll
 
Effettuando lo stesso test con QGIS 8.3 nella virtual box non si sono riscontrati problemi.
 
Siccome qualcuno mi aveva detto che le nuove versioni di Qgis non sono così stabili ho fatto presente la cosa a coloro che hanno distribuito il tutorial e mi è stato risposto che c'è pericolo di instabilità se si mantengono sullo stesso PC versioni diverse di QGIS...(in effetti avrei dovuto provvedere prima a mantenerne una).
Oggi ho disinstallato le ultime versioni con OSGEO4 setup, ho ripulito il PC (non ho riavviato però...forse avrei dovuto), e ho installato solo Qgis 2.12.3  e GRASS 6.4.3 lasciando il resto inalterato.
 
All'aperture di Qgis fra i messaggi ho trovato rispettivamente
 
AVVISI PYTHON
"2016-02-19T22:01:57 1 warning:C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\uiparser.py:844: PendingDeprecationWarning: This method will be removed in future versions. Use 'elem.iter()' or 'list(elem.iter())' instead.

for include in elem.getiterator("include"):

  

traceback: File "<string>", line 1, in <module>

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 271, in loadPlugin

__import__(packageName)

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\__init__.py", line 29, in <module>

from processing.tools.general import *

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\tools\general.py", line 28, in <module>

from processing.core.Processing import Processing

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\core\Processing.py", line 42, in <module>

from processing.gui.MessageBarProgress import MessageBarProgress

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\gui\MessageBarProgress.py", line 34, in <module>

from processing.gui.MessageDialog import MessageDialog

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\gui\MessageDialog.py", line 38, in <module>

os.path.join(pluginPath, 'ui', 'DlgMessage.ui'))

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\__init__.py", line 210, in loadUiType

winfo = compiler.UICompiler().compileUi(uifile, code_string, from_imports, resource_suffix)

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\Compiler\compiler.py", line 139, in compileUi

w = self.parse(input_stream, resource_suffix)

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\uiparser.py", line 933, in parse

actor(elem)

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\uiparser.py", line 844, in readResources

for include in elem.getiterator("include"):

  

2016-02-19T22:01:58 1 warning:C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py:572: UserWarning: Module owslib was already imported from C:/OSGEO4~1/apps/qgis/./python\owslib\__init__.pyc, but c:\osgeo4~1\apps\python27\lib\site-packages\owslib-0.7.2-py2.7.egg is being added to sys.path

mod = _builtin_import(name, globals, locals, fromlist, level)


traceback: File "<string>", line 1, in <module>

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 306, in startPlugin

plugins[packageName] = package.classFactory(iface)

File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\__init__.py", line 29, in classFactory

from MetaSearch.plugin import MetaSearchPlugin

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\plugin.py", line 31, in <module>

from MetaSearch.dialogs.maindialog import MetaSearchDialog

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\dialogs\maindialog.py", line 44, in <module>

from owslib.csw import CatalogueServiceWeb

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/OSGEO4~1/apps/qgis/./python\owslib\csw.py", line 18, in <module>

from owslib.util import OrderedDict

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/OSGEO4~1/apps/qgis/./python\owslib\util.py", line 13, in <module>

import pytz

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\pytz-2012j-py2.7.egg\pytz\__init__.py", line 35, in <module>

from pkg_resources import resource_stream

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "build\bdist.win-amd64\egg\pkg_resources.py", line 3027, in <module>

add_activation_listener(lambda dist: dist.activate())

File "build\bdist.win-amd64\egg\pkg_resources.py", line 741, in subscribe

callback(dist)

File "build\bdist.win-amd64\egg\pkg_resources.py", line 3027, in <lambda>

add_activation_listener(lambda dist: dist.activate())

File "build\bdist.win-amd64\egg\pkg_resources.py", line 2511, in activate

self.insert_on(path)

File "build\bdist.win-amd64\egg\pkg_resources.py", line 2608, in insert_on

self.check_version_conflict()

File "build\bdist.win-amd64\egg\pkg_resources.py", line 2650, in check_version_conflict

" to sys.path" % (modname, fn, self.location),"

 

 

PLUGIN

2016-02-19T21:20:44   0    Caricato Cattura coordinate (Percorso: C:/OSGEO4~1/apps/qgis/plugins/coordinatecaptureplugin.dll)

2016-02-19T21:20:44   0    Caricato Convertitore Dxf2Shp (Percorso: C:/OSGEO4~1/apps/qgis/plugins/dxf2shpconverterplugin.dll)

2016-02-19T21:20:44   0    Caricato eVis (Percorso: C:/OSGEO4~1/apps/qgis/plugins/evis.dll)

2016-02-19T21:20:44   0    Caricato Georeferenziatore raster (GDAL) (Percorso: C:/OSGEO4~1/apps/qgis/plugins/georefplugin.dll)

2016-02-19T21:20:44   0    Caricato Strumenti GPS (Percorso: C:/OSGEO4~1/apps/qgis/plugins/gpsimporterplugin.dll)

2016-02-19T21:20:44   1    Impossibile caricare C:/OSGEO4~1/apps/qgis/plugins/heatmapplugin.dll (Motivo: Cannot load library C:/OSGEO4~1/apps/qgis/plugins/heatmapplugin.dll: Impossibile trovare la procedura specificata.

2016-02-19T21:20:44   0    Caricato Plugin interpolazione (Percorso: C:/OSGEO4~1/apps/qgis/plugins/interpolationplugin.dll)

2016-02-19T21:20:44   0    Caricato OfflineEditing (Percorso: C:/OSGEO4~1/apps/qgis/plugins/offlineeditingplugin.dll)

2016-02-19T21:20:44   1    Impossibile caricare C:/OSGEO4~1/apps/qgis/plugins/oracleplugin.dll (Motivo: Cannot load library C:/OSGEO4~1/apps/qgis/plugins/oracleplugin.dll: Impossibile trovare la procedura specificata.)

2016-02-19T21:20:44    0   Caricato Plugin per l'analisi geomorfologica (Percorso: C:/OSGEO4~1/apps/qgis/plugins/rasterterrainplugin.dll)

2016-02-19T21:20:44    0   Caricato Grafo strade (Percorso: C:/OSGEO4~1/apps/qgis/plugins/roadgraphplugin.dll)

2016-02-19T21:20:44    0   Caricato Plugin di interrogazione spaziale (Percorso: C:/OSGEO4~1/apps/qgis/plugins/spatialqueryplugin.dll)

2016-02-19T21:20:44    0   Caricato SPIT (Percorso: C:/OSGEO4~1/apps/qgis/plugins/spitplugin.dll)

2016-02-19T21:20:44    0   Caricato Validatore topologico (Percorso: C:/OSGEO4~1/apps/qgis/plugins/topolplugin.dll)

2016-02-19T21:20:44    0   Caricato Plugin di statistica zonale (Percorso: C:/OSGEO4~1/apps/qgis/plugins/zonalstatisticsplugin.dll)

2016-02-19T21:20:48    0   Caricato Processing (pacchetto: processing)

2016-02-19T21:20:48    0   Caricato Viewshed Analysis (pacchetto: ViewshedAnalysis)

2016-02-19T21:20:48    0   Caricato DB Manager (pacchetto: db_manager)

2016-02-19T21:20:48    0   Caricato fTools (pacchetto: fTools)

2016-02-19T21:20:48    0   Caricato GdalTools (pacchetto: GdalTools)

2016-02-19T21:20:51    0   Caricato MetaSearch Catalogue Client (pacchetto: MetaSearch)

 

Se poi rieffettuo il test per il plugin il messaggio di errore stavolta è:

 
ERRORE PYTHON
"2016-02-19T21:43:17 1 Traceback (most recent call last):

File "C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\viewshedanalysis.py", line 194, in run

z_obs_field, z_target_field, curv, refraction)
File "C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\doViewshed.py", line 403, in Viewshed
RasterPath= str(QgsMapLayerRegistry.instance().mapLayer(Raster_layer).dataProvider().dataSourceUri())
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe0' in position 36: ordinal not in range(128)"
 
Ammettendo che non ci capisco granché di errori sapete spiegarmi se ci sono uno o più problemi diverse in concomitanza, se si tratta di un unico problema, da cosa tutto ciò dipende e comunque come potrei risolvere?
 
Grazie mille e scusate la lungaggine.
 
Buona serata a tutti
 
Terry

_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
808 iscritti al 30.01.2015
Reply | Threaded
Open this post in threaded view
|

Re: Viewshed analysis Plugin e ultime versioni di QGIS

nformica

Ciao,
per favore puoi girare questa tua richiesta sulla mailing list di QGIS Italia ? guarda qui : www.QGIS.it

Saluti !

Il 19/feb/2016 22:18, "terry cusanno [via Gfoss -- Geographic Free and Open Source Software - Italian mailing list]" <[hidden email]> ha scritto:
Ciao a tutti,
qualche giorno fa ho voluto testare il Plugin Viewshed analysis seguendo un tutorial in rete; premetto che sul mio portatile ho Windows10 e che avevo installato contemporaneamente Qgis 2.12.3 e Qgis 2.13...(a causa di un aggiornamento non voluto fatto qualche giorno fa). Inoltre ho una virtualbox su gui ho installato OSGEOLIVE 8.
Nel tentativo di portare a termine l'esercizio correlato al plugin, dopo aver inserito tutti i dati richiesti veniva fuori un messaggio di errore:
 
ERRORE PYTHON
“UnicodeEncodeError: ‘ascii’ codec can’t encode character u’\xe0′ in position 36: ordinal not in range(128)
Traceback (most recent call last):
File “C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\viewshedanalysis.py”, line 161, in run
outPath = ViewshedAnalysisDialog.returnOutputFile(self.dlg)
File “C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\viewshedanalysisdialog.py”, line 60, in returnOutputFile
return str(l)
UnicodeEncodeError: ‘ascii’ codec can’t encode character u’\xe0′ in position 36: ordinal not in range(128)
Versione Python: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]
Versione di QGIS: 2.12.3-Lyon Lyon, 99ac688″
 
e inoltre si specificava che mancavano questi file: grassrasterprovider6.dll, grassprovider6.dll, grassplugin6.dll
 
Effettuando lo stesso test con QGIS 8.3 nella virtual box non si sono riscontrati problemi.
 
Siccome qualcuno mi aveva detto che le nuove versioni di Qgis non sono così stabili ho fatto presente la cosa a coloro che hanno distribuito il tutorial e mi è stato risposto che c'è pericolo di instabilità se si mantengono sullo stesso PC versioni diverse di QGIS...(in effetti avrei dovuto provvedere prima a mantenerne una).
Oggi ho disinstallato le ultime versioni con OSGEO4 setup, ho ripulito il PC (non ho riavviato però...forse avrei dovuto), e ho installato solo Qgis 2.12.3  e GRASS 6.4.3 lasciando il resto inalterato.
 
All'aperture di Qgis fra i messaggi ho trovato rispettivamente
 
AVVISI PYTHON
"2016-02-19T22:01:57 1 warning:C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\uiparser.py:844: PendingDeprecationWarning: This method will be removed in future versions. Use 'elem.iter()' or 'list(elem.iter())' instead.

for include in elem.getiterator("include"):

  

traceback: File "<string>", line 1, in <module>

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 271, in loadPlugin

__import__(packageName)

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\__init__.py", line 29, in <module>

from processing.tools.general import *

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\tools\general.py", line 28, in <module>

from processing.core.Processing import Processing

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\core\Processing.py", line 42, in <module>

from processing.gui.MessageBarProgress import MessageBarProgress

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\gui\MessageBarProgress.py", line 34, in <module>

from processing.gui.MessageDialog import MessageDialog

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Terry/.qgis2/python/plugins\processing\gui\MessageDialog.py", line 38, in <module>

os.path.join(pluginPath, 'ui', 'DlgMessage.ui'))

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\__init__.py", line 210, in loadUiType

winfo = compiler.UICompiler().compileUi(uifile, code_string, from_imports, resource_suffix)

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\Compiler\compiler.py", line 139, in compileUi

w = self.parse(input_stream, resource_suffix)

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\uiparser.py", line 933, in parse

actor(elem)

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\uiparser.py", line 844, in readResources

for include in elem.getiterator("include"):

  

2016-02-19T22:01:58 1 warning:C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py:572: UserWarning: Module owslib was already imported from C:/OSGEO4~1/apps/qgis/./python\owslib\__init__.pyc, but c:\osgeo4~1\apps\python27\lib\site-packages\owslib-0.7.2-py2.7.egg is being added to sys.path

mod = _builtin_import(name, globals, locals, fromlist, level)


traceback: File "<string>", line 1, in <module>

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 306, in startPlugin

plugins[packageName] = package.classFactory(iface)

File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\__init__.py", line 29, in classFactory

from MetaSearch.plugin import MetaSearchPlugin

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\plugin.py", line 31, in <module>

from MetaSearch.dialogs.maindialog import MetaSearchDialog

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\dialogs\maindialog.py", line 44, in <module>

from owslib.csw import CatalogueServiceWeb

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/OSGEO4~1/apps/qgis/./python\owslib\csw.py", line 18, in <module>

from owslib.util import OrderedDict

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/OSGEO4~1/apps/qgis/./python\owslib\util.py", line 13, in <module>

import pytz

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:\OSGEO4~1\apps\Python27\lib\site-packages\pytz-2012j-py2.7.egg\pytz\__init__.py", line 35, in <module>

from pkg_resources import resource_stream

File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "build\bdist.win-amd64\egg\pkg_resources.py", line 3027, in <module>

add_activation_listener(lambda dist: dist.activate())

File "build\bdist.win-amd64\egg\pkg_resources.py", line 741, in subscribe

callback(dist)

File "build\bdist.win-amd64\egg\pkg_resources.py", line 3027, in <lambda>

add_activation_listener(lambda dist: dist.activate())

File "build\bdist.win-amd64\egg\pkg_resources.py", line 2511, in activate

self.insert_on(path)

File "build\bdist.win-amd64\egg\pkg_resources.py", line 2608, in insert_on

self.check_version_conflict()

File "build\bdist.win-amd64\egg\pkg_resources.py", line 2650, in check_version_conflict

" to sys.path" % (modname, fn, self.location),"

 

 

PLUGIN

2016-02-19T21:20:44   0    Caricato Cattura coordinate (Percorso: C:/OSGEO4~1/apps/qgis/plugins/coordinatecaptureplugin.dll)

2016-02-19T21:20:44   0    Caricato Convertitore Dxf2Shp (Percorso: C:/OSGEO4~1/apps/qgis/plugins/dxf2shpconverterplugin.dll)

2016-02-19T21:20:44   0    Caricato eVis (Percorso: C:/OSGEO4~1/apps/qgis/plugins/evis.dll)

2016-02-19T21:20:44   0    Caricato Georeferenziatore raster (GDAL) (Percorso: C:/OSGEO4~1/apps/qgis/plugins/georefplugin.dll)

2016-02-19T21:20:44   0    Caricato Strumenti GPS (Percorso: C:/OSGEO4~1/apps/qgis/plugins/gpsimporterplugin.dll)

2016-02-19T21:20:44   1    Impossibile caricare C:/OSGEO4~1/apps/qgis/plugins/heatmapplugin.dll (Motivo: Cannot load library C:/OSGEO4~1/apps/qgis/plugins/heatmapplugin.dll: Impossibile trovare la procedura specificata.

2016-02-19T21:20:44   0    Caricato Plugin interpolazione (Percorso: C:/OSGEO4~1/apps/qgis/plugins/interpolationplugin.dll)

2016-02-19T21:20:44   0    Caricato OfflineEditing (Percorso: C:/OSGEO4~1/apps/qgis/plugins/offlineeditingplugin.dll)

2016-02-19T21:20:44   1    Impossibile caricare C:/OSGEO4~1/apps/qgis/plugins/oracleplugin.dll (Motivo: Cannot load library C:/OSGEO4~1/apps/qgis/plugins/oracleplugin.dll: Impossibile trovare la procedura specificata.)

2016-02-19T21:20:44    0   Caricato Plugin per l'analisi geomorfologica (Percorso: C:/OSGEO4~1/apps/qgis/plugins/rasterterrainplugin.dll)

2016-02-19T21:20:44    0   Caricato Grafo strade (Percorso: C:/OSGEO4~1/apps/qgis/plugins/roadgraphplugin.dll)

2016-02-19T21:20:44    0   Caricato Plugin di interrogazione spaziale (Percorso: C:/OSGEO4~1/apps/qgis/plugins/spatialqueryplugin.dll)

2016-02-19T21:20:44    0   Caricato SPIT (Percorso: C:/OSGEO4~1/apps/qgis/plugins/spitplugin.dll)

2016-02-19T21:20:44    0   Caricato Validatore topologico (Percorso: C:/OSGEO4~1/apps/qgis/plugins/topolplugin.dll)

2016-02-19T21:20:44    0   Caricato Plugin di statistica zonale (Percorso: C:/OSGEO4~1/apps/qgis/plugins/zonalstatisticsplugin.dll)

2016-02-19T21:20:48    0   Caricato Processing (pacchetto: processing)

2016-02-19T21:20:48    0   Caricato Viewshed Analysis (pacchetto: ViewshedAnalysis)

2016-02-19T21:20:48    0   Caricato DB Manager (pacchetto: db_manager)

2016-02-19T21:20:48    0   Caricato fTools (pacchetto: fTools)

2016-02-19T21:20:48    0   Caricato GdalTools (pacchetto: GdalTools)

2016-02-19T21:20:51    0   Caricato MetaSearch Catalogue Client (pacchetto: MetaSearch)

 

Se poi rieffettuo il test per il plugin il messaggio di errore stavolta è:

 
ERRORE PYTHON
"2016-02-19T21:43:17 1 Traceback (most recent call last):

File "C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\viewshedanalysis.py", line 194, in run

z_obs_field, z_target_field, curv, refraction)
File "C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\doViewshed.py", line 403, in Viewshed
RasterPath= str(QgsMapLayerRegistry.instance().mapLayer(Raster_layer).dataProvider().dataSourceUri())
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe0' in position 36: ordinal not in range(128)"
 
Ammettendo che non ci capisco granché di errori sapete spiegarmi se ci sono uno o più problemi diverse in concomitanza, se si tratta di un unico problema, da cosa tutto ciò dipende e comunque come potrei risolvere?
 
Grazie mille e scusate la lungaggine.
 
Buona serata a tutti
 
Terry

_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
808 iscritti al 30.01.2015


To unsubscribe from Gfoss -- Geographic Free and Open Source Software - Italian mailing list, click here.
NAML
Reply | Threaded
Open this post in threaded view
|

Re: Digest di Gfoss, Volume 128, Numero 24

Carlo Cormio-2
In reply to this post by Terry

Ciao Terry,

Ho avuto un problema simile con un altro plugin, poi risolto dallo sviluppatore.
Credo tu abbia un carattere accentato nel percorso al file (nell'errore si richiama un carattere ASCII non codificato).

Spero sia utile.

Ciao,

Carlo
>
> ---------- Messaggio inoltrato ----------
> From: terry cusanno <[hidden email]>
> To: "[hidden email]" <[hidden email]>
> Cc: 
> Date: Fri, 19 Feb 2016 22:13:31 +0100
> Subject: [Gfoss] Viewshed analysis Plugin e ultime versioni di QGIS
> Ciao a tutti,
> qualche giorno fa ho voluto testare il Plugin Viewshed analysis seguendo un tutorial in rete; premetto che sul mio portatile ho Windows10 e che avevo installato contemporaneamente Qgis 2.12.3 e Qgis 2.13...(a causa di un aggiornamento non voluto fatto qualche giorno fa). Inoltre ho una virtualbox su gui ho installato OSGEOLIVE 8.
> Nel tentativo di portare a termine l'esercizio correlato al plugin, dopo aver inserito tutti i dati richiesti veniva fuori un messaggio di errore:
>  
> ERRORE PYTHON
> “UnicodeEncodeError: ‘ascii’ codec can’t encode character u’\xe0′ in position 36: ordinal not in range(128)
> Traceback (most recent call last):
> File “C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\viewshedanalysis.py”, line 161, in run
> outPath = ViewshedAnalysisDialog.returnOutputFile(self.dlg)
> File “C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\viewshedanalysisdialog.py”, line 60, in returnOutputFile
> return str(l)
> UnicodeEncodeError: ‘ascii’ codec can’t encode character u’\xe0′ in position 36: ordinal not in range(128)
> Versione Python: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]
> Versione di QGIS: 2.12.3-Lyon Lyon, 99ac688″
>  
> e inoltre si specificava che mancavano questi file: grassrasterprovider6.dll, grassprovider6.dll, grassplugin6.dll. 
>  
> Effettuando lo stesso test con QGIS 8.3 nella virtual box non si sono riscontrati problemi.
>  
> Siccome qualcuno mi aveva detto che le nuove versioni di Qgis non sono così stabili ho fatto presente la cosa a coloro che hanno distribuito il tutorial e mi è stato risposto che c'è pericolo di instabilità se si mantengono sullo stesso PC versioni diverse di QGIS...(in effetti avrei dovuto provvedere prima a mantenerne una).
> Oggi ho disinstallato le ultime versioni con OSGEO4 setup, ho ripulito il PC (non ho riavviato però...forse avrei dovuto), e ho installato solo Qgis 2.12.3  e GRASS 6.4.3 lasciando il resto inalterato.
>  
> All'aperture di Qgis fra i messaggi ho trovato rispettivamente
>  
> AVVISI PYTHON
> "2016-02-19T22:01:57 1 warning:C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\uiparser.py:844: PendingDeprecationWarning: This method will be removed in future versions. Use 'elem.iter()' or 'list(elem.iter())' instead.
>
> for include in elem.getiterator("include"):
>
>   
>
> traceback: File "<string>", line 1, in <module>
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 271, in loadPlugin
>
> __import__(packageName)
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:/Users/Terry/.qgis2/python/plugins\processing\__init__.py", line 29, in <module>
>
> from processing.tools.general import *
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:/Users/Terry/.qgis2/python/plugins\processing\tools\general.py", line 28, in <module>
>
> from processing.core.Processing import Processing
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:/Users/Terry/.qgis2/python/plugins\processing\core\Processing.py", line 42, in <module>
>
> from processing.gui.MessageBarProgress import MessageBarProgress
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:/Users/Terry/.qgis2/python/plugins\processing\gui\MessageBarProgress.py", line 34, in <module>
>
> from processing.gui.MessageDialog import MessageDialog
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:/Users/Terry/.qgis2/python/plugins\processing\gui\MessageDialog.py", line 38, in <module>
>
> os.path.join(pluginPath, 'ui', 'DlgMessage.ui'))
>
> File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\__init__.py", line 210, in loadUiType
>
> winfo = compiler.UICompiler().compileUi(uifile, code_string, from_imports, resource_suffix)
>
> File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\Compiler\compiler.py", line 139, in compileUi
>
> w = self.parse(input_stream, resource_suffix)
>
> File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\uiparser.py", line 933, in parse
>
> actor(elem)
>
> File "C:\OSGEO4~1\apps\Python27\lib\site-packages\PyQt4\uic\uiparser.py", line 844, in readResources
>
> for include in elem.getiterator("include"):
>
>   
>
> 2016-02-19T22:01:58 1 warning:C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py:572: UserWarning: Module owslib was already imported from C:/OSGEO4~1/apps/qgis/./python\owslib\__init__.pyc, but c:\osgeo4~1\apps\python27\lib\site-packages\owslib-0.7.2-py2.7.egg is being added to sys.path
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
>
> traceback: File "<string>", line 1, in <module>
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 306, in startPlugin
>
> plugins[packageName] = package.classFactory(iface)
>
> File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\__init__.py", line 29, in classFactory
>
> from MetaSearch.plugin import MetaSearchPlugin
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\plugin.py", line 31, in <module>
>
> from MetaSearch.dialogs.maindialog import MetaSearchDialog
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\dialogs\maindialog.py", line 44, in <module>
>
> from owslib.csw import CatalogueServiceWeb
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:/OSGEO4~1/apps/qgis/./python\owslib\csw.py", line 18, in <module>
>
> from owslib.util import OrderedDict
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:/OSGEO4~1/apps/qgis/./python\owslib\util.py", line 13, in <module>
>
> import pytz
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "C:\OSGEO4~1\apps\Python27\lib\site-packages\pytz-2012j-py2.7.egg\pytz\__init__.py", line 35, in <module>
>
> from pkg_resources import resource_stream
>
> File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
>
> mod = _builtin_import(name, globals, locals, fromlist, level)
>
> File "build\bdist.win-amd64\egg\pkg_resources.py", line 3027, in <module>
>
> add_activation_listener(lambda dist: dist.activate())
>
> File "build\bdist.win-amd64\egg\pkg_resources.py", line 741, in subscribe
>
> callback(dist)
>
> File "build\bdist.win-amd64\egg\pkg_resources.py", line 3027, in <lambda>
>
> add_activation_listener(lambda dist: dist.activate())
>
> File "build\bdist.win-amd64\egg\pkg_resources.py", line 2511, in activate
>
> self.insert_on(path)
>
> File "build\bdist.win-amd64\egg\pkg_resources.py", line 2608, in insert_on
>
> self.check_version_conflict()
>
> File "build\bdist.win-amd64\egg\pkg_resources.py", line 2650, in check_version_conflict
>
> " to sys.path" % (modname, fn, self.location),"
>
>  
>
>  
>
> PLUGIN
>
> 2016-02-19T21:20:44   0    Caricato Cattura coordinate (Percorso: C:/OSGEO4~1/apps/qgis/plugins/coordinatecaptureplugin.dll)
>
> 2016-02-19T21:20:44   0    Caricato Convertitore Dxf2Shp (Percorso: C:/OSGEO4~1/apps/qgis/plugins/dxf2shpconverterplugin.dll)
>
> 2016-02-19T21:20:44   0    Caricato eVis (Percorso: C:/OSGEO4~1/apps/qgis/plugins/evis.dll)
>
> 2016-02-19T21:20:44   0    Caricato Georeferenziatore raster (GDAL) (Percorso: C:/OSGEO4~1/apps/qgis/plugins/georefplugin.dll)
>
> 2016-02-19T21:20:44   0    Caricato Strumenti GPS (Percorso: C:/OSGEO4~1/apps/qgis/plugins/gpsimporterplugin.dll)
>
> 2016-02-19T21:20:44   1    Impossibile caricare C:/OSGEO4~1/apps/qgis/plugins/heatmapplugin.dll (Motivo: Cannot load library C:/OSGEO4~1/apps/qgis/plugins/heatmapplugin.dll: Impossibile trovare la procedura specificata.
>
> 2016-02-19T21:20:44   0    Caricato Plugin interpolazione (Percorso: C:/OSGEO4~1/apps/qgis/plugins/interpolationplugin.dll)
>
> 2016-02-19T21:20:44   0    Caricato OfflineEditing (Percorso: C:/OSGEO4~1/apps/qgis/plugins/offlineeditingplugin.dll)
>
> 2016-02-19T21:20:44   1    Impossibile caricare C:/OSGEO4~1/apps/qgis/plugins/oracleplugin.dll (Motivo: Cannot load library C:/OSGEO4~1/apps/qgis/plugins/oracleplugin.dll: Impossibile trovare la procedura specificata.)
>
> 2016-02-19T21:20:44    0   Caricato Plugin per l'analisi geomorfologica (Percorso: C:/OSGEO4~1/apps/qgis/plugins/rasterterrainplugin.dll)
>
> 2016-02-19T21:20:44    0   Caricato Grafo strade (Percorso: C:/OSGEO4~1/apps/qgis/plugins/roadgraphplugin.dll)
>
> 2016-02-19T21:20:44    0   Caricato Plugin di interrogazione spaziale (Percorso: C:/OSGEO4~1/apps/qgis/plugins/spatialqueryplugin.dll)
>
> 2016-02-19T21:20:44    0   Caricato SPIT (Percorso: C:/OSGEO4~1/apps/qgis/plugins/spitplugin.dll)
>
> 2016-02-19T21:20:44    0   Caricato Validatore topologico (Percorso: C:/OSGEO4~1/apps/qgis/plugins/topolplugin.dll)
>
> 2016-02-19T21:20:44    0   Caricato Plugin di statistica zonale (Percorso: C:/OSGEO4~1/apps/qgis/plugins/zonalstatisticsplugin.dll)
>
> 2016-02-19T21:20:48    0   Caricato Processing (pacchetto: processing)
>
> 2016-02-19T21:20:48    0   Caricato Viewshed Analysis (pacchetto: ViewshedAnalysis)
>
> 2016-02-19T21:20:48    0   Caricato DB Manager (pacchetto: db_manager)
>
> 2016-02-19T21:20:48    0   Caricato fTools (pacchetto: fTools)
>
> 2016-02-19T21:20:48    0   Caricato GdalTools (pacchetto: GdalTools)
>
> 2016-02-19T21:20:51    0   Caricato MetaSearch Catalogue Client (pacchetto: MetaSearch)
>
>  
>
> Se poi rieffettuo il test per il plugin il messaggio di errore stavolta è:
>
>  
> ERRORE PYTHON
> "2016-02-19T21:43:17 1 Traceback (most recent call last):
>
> File "C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\viewshedanalysis.py", line 194, in run
>
> z_obs_field, z_target_field, curv, refraction)
> File "C:/Users/Terry/.qgis2/python/plugins\ViewshedAnalysis\doViewshed.py", line 403, in Viewshed
> RasterPath= str(QgsMapLayerRegistry.instance().mapLayer(Raster_layer).dataProvider().dataSourceUri())
> UnicodeEncodeError: 'ascii' codec can't encode character u'\xe0' in position 36: ordinal not in range(128)"
>  
> Ammettendo che non ci capisco granché di errori sapete spiegarmi se ci sono uno o più problemi diverse in concomitanza, se si tratta di un unico problema, da cosa tutto ciò dipende e comunque come potrei risolvere?
>  
> Grazie mille e scusate la lungaggine.
>  
> Buona serata a tutti
>  
> Terry
>
> _______________________________________________
> Gfoss mailing list
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non rispecchiano necessariamente
> le posizioni dell'Associazione GFOSS.it.
> 802 iscritti al 30.11.2015


_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
808 iscritti al 30.01.2015
Reply | Threaded
Open this post in threaded view
|

Re: Viewshed analysis Plugin e ultime versioni di QGIS

Terry
In reply to this post by nformica
SI certo!